Description

b'Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1897344 \n\n*Description of problem:*\nCP is returning null modeReason

and null modeChangeTime and eventually CP stucks by getting \'SSL_connect","errors\' and webgui stops

working\n\n*Version-Release number of selected component (if

applicable):*\n\nsatellite-6.8.0-1.el7sat.noarch\ncandlepin-3.1.22-1.el7sat.noarch\n\n*How reproducible:*\n\nInstallt 6.8 \n\n*Steps to

Reproduce:*\n1. install 6.8 \n2. curl -s -k https://localhost:8443/candlepin/status | json_reformat\n\nforeman]$ grep 7b25ab57

production.log\n2020-11-11T10:41:33 [I|app|7b25ab57] Started GET "/rhsm/status/" for 172.16.132.76 at 2020-11-11 10:41:33

-0600\n2020-11-11T10:41:33 [I|app|7b25ab57] Processing by Katello::Api::Rhsm::CandlepinProxiesController#server_status as

JSON\n2020-11-11T10:41:33 [D|kat|7b25ab57] Resource GET request: /candlepin/status\n2020-11-11T10:41:33 [D|kat|7b25ab57]

Headers: {}\n2020-11-11T10:41:33 [D|kat|7b25ab57] Body: {}\n2020-11-11T10:41:33 [D|app|7b25ab57] RestClient.get

"https://localhost:8443/candlepin/status", "Accept"=>"*/*", "Accept-Encoding"=>"gzip, deflate", "Authorization"=>"OAuth

oauth_consumer_key=\\"katello\\", oauth_nonce=\\"LWdta8OWW8w9kzAQi1CrbBiliDehntk5RwqCN5I0I\\",

oauth_signature=\\"dclvfvAG%2Fbw1qEwhixs7VEf5j2s%3D\\", oauth_signature_method=\\"HMAC-SHA1\\",

oauth_timestamp=\\"1605112893\\", oauth_version=\\"1.0\\"", "User-Agent"=>"rest-client/2.0.2 (linux-gnu x86_64)

ruby/2.5.5p157"\n2020-11-11T11:18:49 [E|kat|7b25ab57] Errno::ECONNRESET: Connection reset by peer -

SSL_connect\n2020-11-11T11:18:50 [I|app|7b25ab57] Completed 500 Internal Server Error in 2236198ms (Views: 41.1ms |

ActiveRecord: 3.3ms | Allocations: 50666)\n2020-11-11T11:18:50 [D|app|7b25ab57] With body: {"displayMessage":"Connection reset

by peer - SSL_connect","errors":["Connection reset by peer - SSL_connect"]}\n\n\n*Actual results:*\n\n{\n    "mode": "NORMAL",\n   

"modeReason": null,\n    "modeChangeTime": null,\n    "result": true,\n    "version": "3.1.22",\n    "rulesVersion": "5.41",\n    "release":

"1",\n    "standalone": true,\n    "timeUTC": "2020-11-11T23:30:01+0000",\n    "rulesSource": "default",\n    "managerCapabilities": [\n  

"instance_multiplier",\n        "derived_product",\n        "vcpu",\n        "cert_v3",\n        "hypervisors_heartbeat",\n       

"remove_by_pool_id",\n        "syspurpose",\n        "insights_auto_register",\n        "storage_band",\n        "cores",\n       

"hypervisors_async",\n        "org_level_content_access",\n        "guest_limit",\n        "ram",\n        "batch_bind"\n\n*Expected

results:*\n\nOn 6.7 result is different.  \n\n    "mode": "NORMAL",\n    "modeReason": "STARTUP",\n    "modeChangeTime":

"2020-11-02T00:23:23+0000",\n    "result": true,\n    "version": "2.9.30",\n    "rulesVersion": "5.41",\n    "release": "1",\n    "standalone":

true,\n    "timeUTC": "2020-11-12T20:03:32+0000",\n    "rulesSource": "database",\n    "managerCapabilities": [\n       

"instance_multiplier",\n        "derived_product",\n        "vcpu",\n        "cert_v3",\n        "hypervisors_heartbeat",\n       

"remove_by_pool_id",\n        "syspurpose",\n        "storage_band",\n        "cores",\n        "hypervisors_async",\n       

"org_level_content_access",\n        "guest_limit",\n        "ram",\n        "batch_bind"\n\n*Additional info:*\nCustomer\'s 6.8 is fails 2,3

times in a day and after restart CP working for a while.'

Associated revisions

Revision 28bb2191 - 01/11/2021 04:40 PM - Jonathon Turel

Fixes #31607 - Increase Artemis disk usage limit

History

#1 - 01/11/2021 03:45 PM - Jonathon Turel

- Project changed from Foreman to Installer

- Subject changed from Increase Artemis disk usage limit

 to Increase Artemis disk usage limit

- Category set to Foreman modules

- Target version set to 2.4.0
https://bugzilla.redhat.com/show_bug.cgi?id=1897344
https://localhost:8443/candlepin/status


#2 - 01/11/2021 03:46 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jonathon Turel

- Pull request https://github.com/theforeman/puppet-candlepin/pull/172 added

#3 - 01/11/2021 04:40 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#4 - 01/11/2021 05:01 PM - Jonathon Turel

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-candlepin|28bb2191a09024210499c0e6d7662607e322a6a0.
